from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XChartType(XInterface, Protocol):
    def getChartType(self) -> str: ...
    def getSupportedMandatoryRoles(self) -> list[str]: ...
    def getSupportedOptionalRoles(self) -> list[str]: ...
    def getSupportedPropertyRoles(self) -> list[str]: ...
    def getRoleOfSequenceForSeriesLabel(self) -> str: ...
